Bug 593115 - [abrt] crash in ipython-0.10-1.fc12: iplib.py:707:__init__:OSError: [Errno 2] No such file or directory [NEEDINFO]
[abrt] crash in ipython-0.10-1.fc12: iplib.py:707:__init__:OSError: [Errno 2]...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
abrt_hash:b87792c4
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 16:44 EDT by Diego Búrigo Zacarão
Modified: 2013-10-07 09:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 09:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
triage: needinfo? (diegobz)


Attachments (Terms of Use)
File: backtrace (8.04 KB, text/plain)
2010-05-17 16:44 EDT, Diego Búrigo Zacarão
no flags Details

  None (edit)
Description Diego Búrigo Zacarão 2010-05-17 16:44:33 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/ipython
component: ipython
executable: /usr/bin/ipython
kernel: 2.6.32.11-99.fc12.x86_64
package: ipython-0.10-1.fc12
reason: iplib.py:707:__init__:OSError: [Errno 2] No such file or directory
release: Fedora release 12 (Constantine)
Comment 1 Diego Búrigo Zacarão 2010-05-17 16:44:36 EDT
Created attachment 414664 [details]
File: backtrace
Comment 2 Thomas Spura 2010-05-18 02:33:09 EDT
I've seen similar backtraces, if I was in a directory and deleted that directory in another console window. When starting anyway in this non-existant directory, ipython crashes...


Was that the way you are able to reproduce this?

Or what else did you do?
Comment 3 Diego Búrigo Zacarão 2010-09-10 14:24:22 EDT
Indeed. That was probably the cause of it.
Comment 4 Bug Zapper 2010-11-03 10:42:05 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Thomas Spura 2010-11-14 20:40:50 EST
Upstream won't fix this issue, but is accepting a patch for this.

So leaving this open, till this is fixed.
Comment 6 Fedora Admin XMLRPC Client 2011-11-02 03:56:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-02 07:11:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Thomas Spura 2013-10-07 09:12:42 EDT
Fixed upstream:
https://github.com/ipython/ipython/pull/3142

Note You need to log in before you can comment on or make changes to this bug.